//grid styling

@mixin grid-container() {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  grid-template-rows: 200px auto auto 200px;
  grid-auto-rows: max-content;
}

@mixin grid-item-col($item-start: 1, $item-span: 1) {
  grid-column: $item-start / span $item-span;
}

@mixin grid-item-row($item-start: 1, $item-span: 1) {
  grid-row: $item-start / span $item-span;
}

.content-wrapper {
  margin-top: 32px;
  @include grid-container();
}

.upload-wrapper {
  width: 100%;
}

.analyze-button-wrapper {
  display: flex;
  justify-content: center;
  min-width: 200px;
}

.upload-content-wrapper {
  @include grid-item-col(3, 8);
  @include grid-item-row(1, 1);

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.editor-wrapper {
  @include grid-item-col(2, 10);
  @include grid-item-row(2, 1);
}

.past-reports-wrapper {
  @include grid-item-col(2, 10);
  @include grid-item-row(3, 1);
  margin-top: 80px;

  display: flex;
  flex-wrap: wrap;
  column-gap: 12px;
  row-gap: 12px;
}

.report-header {
  flex: 0 0 100%;
}

.report-item {
  max-width: 260px;
}

.heading-divider {
  width: 80%;
  height: 10px;
}
